/****************************************************************************
**
** Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of the QtGui module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Licensees holding valid Qt Enterprise licenses may use this file in
** accordance with the Qt Enterprise License Agreement provided with the 
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  
**
** If you have questions regarding the use of this file, please use
** contact form at http://qt.digia.com
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QSCREENQNX_QWS_H
#define QSCREENQNX_QWS_H

#include <QtGui/qscreen_qws.h>

#ifndef QT_NO_QWS_QNX

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Gui)

struct QQnxScreenContext;

class QQnxScreen : public QScreen
{
public:
    explicit QQnxScreen(int display_id);
    ~QQnxScreen();

    bool initDevice();
    bool connect(const QString &displaySpec);
    void disconnect();
    void shutdownDevice();
    void setMode(int,int,int);
    bool supportsDepth(int) const;
    void blank(bool on);

    void exposeRegion(QRegion r, int changing);
#ifndef QT_NO_QWS_TRANSFORMED
    void setDirty(const QRect&);
#endif
private:
    QQnxScreenContext * const d;
};

QT_END_NAMESPACE

QT_END_HEADER

#endif // QT_NO_QWS_QNX

#endif
